/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.dto.model;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;

import java.io.Serializable;

/**
* 查询接口--数据传输对象：设备型号管理表
*
* createdate:  2022-09-13 09:51:40  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "设备型号管理表")
public class CdDeviceModelQueryDto implements Serializable
{
    /**
     * 产品名称<br>
     */
    @ApiModelProperty("产品名称")
    @Size(max = 128, message="产品名称-productName: 数据长度不能 > 128" )
    private String productName;
    /**
     * 机型名称<br>
     */
    @ApiModelProperty("机型名称")
    @Size(max = 128, message="机型名称-modelName: 数据长度不能 > 128" )
    private String modelName;

    private String brandName;

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getModelName() {
        return modelName;
    }

    public void setModelName(String modelName) {
        this.modelName = modelName;
    }

    public String getBrandName() {
        return brandName;
    }

    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }
}